Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32265/?format=api
{ "ob_id": 32265, "uuid": "e28a2d786c79494ca77206178bae5dcf", "title": "Sentinel 3B Synthetic Aperture Radar Altimeter (SRAL) Level 1B data", "abstract": "This dataset contains level 1b altimetry data from the Synthetic Aperture Radar Altimeter (SRAL) aboard the European Space Agency (ESA) Sentinel 3B Satellite. Sentinel 3B was launched on the 25th of April 2018. These level 1b products are geo-located and fully calibrated multi-looked High-Resolution power echoes. Complex echoes (In-phase (I) and Quadrature (Q)) for the Low-Resolution Mode (LRM) and/or Synthetic Aperture Radar (SAR) mode both for C Band and Ku band. When the altimeter is in SAR mode, this product also contains the so-called Pseudo LRM (PLRM) echoes. All Sentinel-3 Non-Time Critical (NTC) products are available in less than 30 days. Data are provided by ESA and are made available via CEDA to any registered user.", "keywords": "Sentinel, Synthetic Aperture Radar Altimeter, SRAL", "publicationState": "published", "dataPublishedTime": "2022-05-09T08:44:08", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32266/?format=api", "dataPath": "/neodc/sentinel3b/data/SRAL/L1_SRA/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1231521483425, "numberOfFiles": 60298, "fileFormat": "Data are provided by ESA in zipped SAFE format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8994/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Sentinel hubs for use by the CEDA community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32784/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143555/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143546/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143548/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143553/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146259/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146260/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/19018/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }